be.vlaanderen.mercurius.insurability.schemas.v1

## Class PersonType

- java.lang.Object
- - be.vlaanderen.mercurius.insurability.schemas.v1.PersonType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:17:38+01:00",
                 comments="JAXB RI v2.2.11")
      public class PersonType
      extends Object
      implements Serializable

  Java class for PersonType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PersonType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Ssin" type="{http://www.mercurius.vlaanderen.be/vsb/schemas/v1}SSINType"/>
               <element name="Name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="Firstname" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="Gender" type="{http://www.mercurius.vlaanderen.be/vsb/schemas/v1}GenderType" minOccurs="0"/>
               <element name="Birthdate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
               <element name="DateDeceased" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
               <element name="Address" type="{http://www.mercurius.vlaanderen.be/vsb/schemas/v1}AddressType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersonType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AddressType` | `getAddress()` Gets the value of the address property.
    `org.joda.time.DateTime` | `getBirthdate()` Gets the value of the birthdate property.
    `org.joda.time.DateTime` | `getDateDeceased()` Gets the value of the dateDeceased property.
    `String` | `getFirstname()` Gets the value of the firstname property.
    `String` | `getGender()` Gets the value of the gender property.
    `String` | `getName()` Gets the value of the name property.
    `String` | `getSsin()` Gets the value of the ssin property.
    `void` | `setAddress(AddressType value)` Sets the value of the address property.
    `void` | `setBirthdate(org.joda.time.DateTime value)` Sets the value of the birthdate property.
    `void` | `setDateDeceased(org.joda.time.DateTime value)` Sets the value of the dateDeceased property.
    `void` | `setFirstname(String value)` Sets the value of the firstname property.
    `void` | `setGender(String value)` Sets the value of the gender property.
    `void` | `setName(String value)` Sets the value of the name property.
    `void` | `setSsin(String value)` Sets the value of the ssin property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersonType

          public PersonType()

  - ### Method Detail

    - #### getSsin

          public String getSsin()

      Gets the value of the ssin property.
      Returns:
        possible object is `String`

    - #### setSsin

          public void setSsin(String value)

      Sets the value of the ssin property.
      Parameters:
        `value` - allowed object is `String`

    - #### getName

          public String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

    - #### getFirstname

          public String getFirstname()

      Gets the value of the firstname property.
      Returns:
        possible object is `String`

    - #### setFirstname

          public void setFirstname(String value)

      Sets the value of the firstname property.
      Parameters:
        `value` - allowed object is `String`

    - #### getGender

          public String getGender()

      Gets the value of the gender property.
      Returns:
        possible object is `String`

    - #### setGender

          public void setGender(String value)

      Sets the value of the gender property.
      Parameters:
        `value` - allowed object is `String`

    - #### getBirthdate

          public org.joda.time.DateTime getBirthdate()

      Gets the value of the birthdate property.
      Returns:
        possible object is `String`

    - #### setBirthdate

          public void setBirthdate(org.joda.time.DateTime value)

      Sets the value of the birthdate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDateDeceased

          public org.joda.time.DateTime getDateDeceased()

      Gets the value of the dateDeceased property.
      Returns:
        possible object is `String`

    - #### setDateDeceased

          public void setDateDeceased(org.joda.time.DateTime value)

      Sets the value of the dateDeceased property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAddress

          public AddressType getAddress()

      Gets the value of the address property.
      Returns:
        possible object is `AddressType`

    - #### setAddress

          public void setAddress(AddressType value)

      Sets the value of the address property.
      Parameters:
        `value` - allowed object is `AddressType`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.